Loading...
Searching...
No Matches
L4virtio::Svr::Scmi::Proto< OBSERV > Struct Template Referenceabstract

Base class for all protocols. More...

`#include <virtio-scmi-device>`

Inheritance diagram for L4virtio::Svr::Scmi::Proto< OBSERV >:
Collaboration diagram for L4virtio::Svr::Scmi::Proto< OBSERV >:

## Detailed Description

template<typename OBSERV>
struct L4virtio::Svr::Scmi::Proto< OBSERV >

Base class for all protocols.

Defines an interface for processing the virtio buffers for the implemented protocol.

Definition at line 299 of file virtio-scmi-device.

The documentation for this struct was generated from the following file:

- l4/l4virtio/server/virtio-scmi-device